namespace Wizard;

public class SpecialCrystalTaskInfo : BaseTask
{
	public SpecialCrystalTaskInfo()
	{
		base.type = ApiType.Type.SpecialCrystalInfo;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		Data.Load.data._userCrystalCount.ParseSpecialCrystal(base.ResponseData);
		return num;
	}
}
